%define        srcname     platform-%{name}

%define        major       2
%define        libname     %mklibname %{name} %{major}
%define        develname   %mklibname %{name} -d

Name:          p8-platform
Version:       2.1.0.1
Release:       %mkrel 1
Summary:       Platform support library used by libCEC and Kodi
Group:         Development/C
License:       GPLv3

URL:          https://github.com/Pulse-Eight/platform
Source0:      https://github.com/Pulse-Eight/platform/archive/%{srcname}-%{version}.tar.gz


BuildRequires: cmake


%description
%{summary}.


%package -n     %{libname}
Summary:        P8 platform library
Group:          System/Libraries

%description -n %{libname}
Platform support library used by libCEC and binary add-ons for Kodi.



%package -n     %{develname}
Summary:        Development files for p8-platform
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
%{summary}.





%prep
%setup -q -n %{srcname}-%{version}


%build
%cmake .. -DLIB_INSTALL_DIR=%{_libdir}
%make_build

%install
%make_install -C build

%files -n %{libname}
%doc README.md
%{_libdir}/libp8-platform.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/p8-platform
%{_libdir}/lib*.so
%{_libdir}/pkgconfig
%{_libdir}/p8-platform




%changelog
* Fri Feb 10 2017 eatdirt <eatdirt> 2.1.0.1-1.mga6
+ Revision: 1085544
- imported package p8-platform

